LibOFX: ofx_sgml.cpp File Reference

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
fx-0.9.10/lib/ofx_sgml.cpp File Reference

OFX/SGML parsing functionnality. More...

Go to the source code of this file.

## Data Structures
class | OFXApplication
| This object is driven by OpenSP as it parses the SGML from the ofx file(s) More...

## Functions
int | ofx_proc_sgml (LibofxContext *libofx_context, int argc, char *const *argv)
| Parses a DTD and OFX file(s) More...

## Variables
OfxMainContainer * | MainContainer = NULL
SGMLApplication::OpenEntityPtr | entity_ptr
SGMLApplication::Position | position

## Detailed Description

OFX/SGML parsing functionnality.

Almost all of the SGML parser specific code is contained in this file (some is in messages.cpp and ofx_utilities.cpp). To understand this file you must read the documentation of OpenSP's generic interface: see http://openjade.sourceforge.net/

Definition in file fx-0.9.10/lib/ofx_sgml.cpp.

## Function Documentation

int ofx_proc_sgml | ( | LibofxContext * | libofx_context,
|  | int | argc,
|  | char *const * | argv
| ) |  |

Parses a DTD and OFX file(s)

ofx_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files.

Definition at line 372 of file fx-0.9.10/lib/ofx_sgml.cpp.

## Variable Documentation

SGMLApplication::OpenEntityPtr entity_ptr

Global for determining the line number in OpenSP

Definition at line 27 of file messages.cpp.

Referenced by OFXApplication::openEntityChange().

SGMLApplication::Position position

Global for determining the line number in OpenSP

Definition at line 28 of file messages.cpp.

Referenced by OFXApplication::data(), OFXApplication::endElement(), OFXApplication::error(), tree< T, tree_node_allocator >::flatten(), tree< T, tree_node_allocator >::reparent(), tree< T, tree_node_allocator >::replace(), and OFXApplication::startElement().